Cyberduck Mountain Duck CLI

#10701 closed defect (worksforme)

webdav accessing a folder DNS error

Reported by: thecalle Owned by:
Priority: normal Milestone:
Component: core Version: 6.9.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.11

Description

Url can't be found if:

  • protocol WEBDAV (both HTTP or HTTPS)
  • url has more than the single address or host (es. https:/blabla.com/webdav)

10 attemps to connect, then: DNS failed to convert name..

Same result if IP address used instead of domain name: http://1.2.3.4/webdav or https://1.2.3.4/webdav

Client never reached the server (checked on server side using wireshark)

No DNS request from Cyberduck using local IPs, if using Bonjour resolved name or DNS public host, resolve request is "blabla.com/webdav", so DNS can't resolve correctly.

Error is suppose is due to wrong name resolving (NAME to IP conversion must be done only for blabla.com and not for blabla.com/webdav). Simple IP URL connection may be the same: Cyberduck search connection for 1.2.3.4/webdav and not 1.2.3.4 and then webdav subfolder.

WinSCP works and MAC remote disk mount works well.

Change History (3)

comment:1 follow-up: Changed on May 17, 2019 at 3:05:34 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Enter blabla.com in the Server field and /webdav in the Path for the bookmark.

comment:2 in reply to: ↑ 1 Changed on May 18, 2019 at 1:50:51 AM by thecalle

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to dkocher:

Enter blabla.com in the Server field and /webdav in the Path for the bookmark.

THE PATH field is not present in New Connection page. To connect to a Webdav you must create a Bookmark.

comment:3 Changed on May 22, 2019 at 8:25:25 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software